Subject: Provide abstract authentication controller

Description

FLOWS3 already comes with an Authentication Controller that even supports redirection to the intercepted request after successful
authentication (if a WebRedirect EntryPoint was configured).

We should provide an abstract base class that developers can extend from in their own packages.
The API could be s.th. like

1abstract class AbstractAuthenticationController extends \TYPO3\FLOW3\Mvc\Controller\ActionController {

2

3public function indexAction();

4

5final public function authenticateAction();

6

7public function logoutAction();

8

9abstract protected function onSuccessfulAuthentication\TYPO3\FLOW3\Mvc\ActionRequest $interceptedRequest);

10

11abstract protected function onErroneousAuthentication();

12
13}

Related issues:

related to TYPOS.Flow - Bug # 41048: AbstractAuthenticationController namespa...

Rejected 2012-09-18

Associated revisions

Revision 3eb7b5c0 - 2012-09-08 16:31 - Andreas Forthner

[FEATURE] Provide a general abstract authentication controller

This can be used to be inherited from in a custom package,

to enable developers to quickly implement their own

authentication controller.

Related: #39839

Change-Id: 1f0f694759008192eaceaeb55f17eb9dc10d2fbed

Releases: 1.2
#1 - 2012-08-15 17:15 - Bastian Waidelich
- Target version set to 2.0 beta 1

#2 - 2012-08-15 17:42 - Adrian Foder

like the idea, but we should think carefully about what methods to make final and abstract and on what methods to provide existing code which can
facultatively be overridden.

#3 - 2012-09-05 15:55 - Bastian Waidelich

Adrian Foder wrote:

like the idea, but we should think carefully about what methods to make final and abstract

and on what methods to provide existing code which can facultatively be overridden.

You're right. We did this now without final methods (see review)

#4 - 2012-09-19 09:18 - Karsten Dambekalns
- Status changed from New to Resolved

- Assigned To set to Andreas Férthner

- % Done changed from 0 to 100
